import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NavTabsComponent } from './nav-tabs/nav-tabs.component';
import { PageMineComponent } from './page-mine/page-mine.component';
import { PageCartComponent } from './page-cart/page-cart.component';
import { RouterModule } from '@angular/router';
import { CraftsmartRoutingModule } from './craftsmart-routing.module';
import { PageDiscoverComponent } from './page-discover/page-discover.component';
import { PageItemDetailComponent } from './page-item-detail/page-item-detail.component';

@NgModule({
  declarations: [
    NavTabsComponent,
    PageMineComponent,
    PageCartComponent,
    PageDiscoverComponent,
    PageItemDetailComponent
  ],
  imports: [
    CommonModule,
    RouterModule,
    CraftsmartRoutingModule
  ],
  exports:[
    NavTabsComponent,
    PageCartComponent,
    PageMineComponent
  ]
})
export class CraftsmartModule { }